Subject: bug#18340: [External] : Re: bug#18340: 24.4.50; Bad UI for `find-file-literally'

From: Drew Adams <[email-masked]>
Date: Mon, 11 Oct 2021 01:06:09 +0000

It's hard for me to believe that this bug report
hasn't been understood.  Let me try one last time.

Emacs 27.2, emacs -Q

foo.el is an existing Elisp file (contents not important).
_______

(setq resize-mini-windows nil)

C-x C-f foo.el

M-x find-file-literally RET foo.el RET

  Do you want to revisit the file literally now? (y or n) y

  You can run the command ‘find-file-literally’ with M-x f-f-l RET

  The file foo.el is already visited normally.
_______

That's all you see.  It's not understandable (to
me).  However, if I go look in *Messages* I see
this additional text, which was not visible
because `resize-mini-windows' is nil:
________
 You have asked to visit it literally,
 meaning no coding system decoding, format conversion, or local variables.
 But Emacs can visit a file in only one way at a time.
________

If you still don't understand the problem, drop it.

But if you now understand the problem, and repro it,
then I'll ask you to reread the original bug report
and see if it doesn't make sense on its own.

I think it does, and I'd completely forgotten about
this bug report.  I just read it afresh myself now,
and I just did what it describes, and saw the
reported problem immediately.

Clearly I'm missing something about what's missing
in others trying to understand this.